from django.conf import settings
from django.conf.urls.static import static
from django.contrib import admin
from django.urls import path
from django.urls.conf import include
from django.utils.translation import gettext_lazy as _

from servala.frontend import views

admin.site.site_title = _("Servala Admin")
admin.site.site_header = _("Servala Management")
admin.site.index_title = _("Dashboard")

urlpatterns = [
    # This adds the allauth urls to the project:
    # - accounts/keycloak/login/
    # - accounts/keycloak/login/callback/
    path("accounts/", include("allauth.urls")),
    path("accounts/profile/", views.ProfileView.as_view(), name="profile"),
    path("admin/", admin.site.urls),
    path("", views.IndexView.as_view(), name="index"),
]

# Serve static and media files in development
if settings.DEBUG:
    urlpatterns += static(settings.STATIC_URL, document_root=settings.STATIC_ROOT)
    urlpatterns += static(settings.MEDIA_URL, document_root=settings.MEDIA_ROOT)
